.\"
.\"Copyright (c) 2009 ... 2024 2025
.\"    John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH ZEROF 1 "2009-07-23" "JMC" "User Commands"
.SH NAME
zerof - Clear File Contents
.SH SYNOPSIS
zerof [OPTIONS] FILE_1 [FILE_2 FILE_3 ...]
.SH DESCRIPTION
Replaces all characters in a file with a NULL
Character or Random Characters or a Character
of your own choosing.
.SH OPTIONS
.TP
-c x
Optional, Instead of using NULL
to overwrite data in the file, use character 'x'.
If 'x' longer than 1 byte and numeric,
decimal value 'x' is converted to a character.
Also see argument '-r' below.
.TP
-e file
Optional, Errors written to file 'file' instead
of the default of stderr.
Note, not all errors will be written to the file specified,
this depends upon where the error occur.
.TP
-f
Force file create.
Create file even if the target file exists.
.TP
-h
Show brief help and exit.
.TP
-I n
Optional, number of passes (iterations)
when overwriting the file.
Default is 1 pass.
.TP
-o file
Optional, Write Run Statistics to file 'file' instead
of the default of stdout.
Default, Run Statistics written to stdout.
.TP
-R
Optional, call random(3) or rand(3)
to obtain Random Overwrite Characters.
This should be available to all
Operating Systems.
If specified, arguments '-c' and '-r'
are ignored.
.TP
-r
Optional, use either /dev/urandom or /dev/random
or as a last resort option '-R'
to obtain Random Overwrite Characters.
If specified, argument '-c' is ignored.
.TP
-V
output version information and exit.
.TP
-v
Optional, Verbose, print run stats on stdout.
.SH DIAGNOSTICS
If your drive is an SSD or a Drive similar to that,
this utility is probably useless.
.PP
This maybe useless on some UN*X File Systems.
But, no harm in using this and hoping for the best.
.PP
Attempts to update the data 'in place',
this means if the file is deleted after
executing this utility, it's original contents
should not be available for viewing on a disk dump.
.PP
If you try and use argument '-r' and device /dev/urandom'
is unavailable or protected, processing will abort.
.PP
The number of passes for '-I' depends
upon OS.
If the number is too large either the
program will abort with a message or
the number of passes will default to the
largest int value allowed for the OS.
.PP
I do not know if specifying '-I' is useful,
but plenty of knowledgeable people state
you should use at least 3 passes.
.SH BUGS
Do not know of any.
.SH ENVIRONMENT
none.
.SH ERROR-CODES
.nf
0 success
1 processing error or help/rev displayed
.fi
.SH SEE-ALSO
dd(1),
rm(1),
unlink(1)
